ST_FlipCoordinates
Prev | 8.5. Geometry Editors | Next

## Name

ST_FlipCoordinates — Returns a version of a geometry with X and Y axis flipped.

## Synopsis

`geometry ST_FlipCoordinates(`geometry geom`)`;

## Description

Returns a version of the given geometry with X and Y axis flipped. Useful for fixing geometries which contain coordinates expressed as latitude/longitude (Y,X).

Availability: 2.0.0

This method supports Circular Strings and Curves

This function supports 3d and will not drop the z-index.

This function supports M coordinates.

This function supports Polyhedral surfaces.

This function supports Triangles and Triangulated Irregular Network Surfaces (TIN).

## Example

    SELECT ST_AsEWKT(ST_FlipCoordinates(GeomFromEWKT('POINT(1 2)')));
     st_asewkt
    ------------
    POINT(2 1)

## See Also

ST_SwapOrdinates

Prev | Up | Next
ST_Scroll | Home | ST_Force2D